package de.intevation.flys.importer;

public class ImportRange
implements   Comparable<ImportRange>
{
    public Double from;
    public Double to;

    public ImportRange() {
    }

    public ImportRange(Double from, Double to) {
        this.from = from;
        this.to   = to;
    }

    private static final int compare(Double a, Double b) {
        if (a == null && b == null) {
            return 0;
        }
        if (a == null && b != null) {
            return -1;
        }
        if (a != null && b == null) {
            return +1;
        }
        return a.compareTo(b);
    }

    public int compareTo(ImportRange other) {
        int cmp = compare(from, other.from);
        if (cmp != 0) return cmp;
        return compare(to, other.to);
    }

    public Double getFrom() {
        return from;
    }

    public void setFrom(Double from) {
        this.from = from;
    }

    public Double getTo() {
        return to;
    }

    public void setTo(Double to) {
        this.to = to;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
